rte_graph_feature_arc_register(3)

NAME
rte_graph_feature_arc_register

SYNOPSIS

#include <rte_graph_feature_arc.h>

  Data Fields

const char * arc_name
uint16_t max_features
uint16_t max_indexes
struct rte_node_register * start_node
rte_node_process_t start_node_feature_process_fn
struct rte_graph_feature_register * end_feature

Detailed Description

Feature arc registration structure

Definition at line 307 of file rte_graph_feature_arc.h.

Field Documentation

  const char* arc_name
Name of the feature arc

Definition at line 311 of file rte_graph_feature_arc.h.

  uint16_t max_features
Maximum number of features supported in this feature arc.

This field can be skipped for feature arc registration via RTE_GRAPH_FEATURE_ARC_REGISTER().

API internally sets this field by calculating number of RTE_GRAPH_FEATURE_REGISTER() for every arc registration via RTE_GRAPH_FEATURE_ARC_REGISTER()

Definition at line 323 of file rte_graph_feature_arc.h.

  uint16_t max_indexes
Maximum number of indexes supported in this feature arc Memory is allocated based on this field

Definition at line 329 of file rte_graph_feature_arc.h.

  struct rte_node_register* start_node
Start node of this arc

Definition at line 332 of file rte_graph_feature_arc.h.

  rte_node_process_t start_node_feature_process_fn
Feature arc specific process() function for Start node. If application calls rte_graph_feature_arc_init(), start_node->process() is replaced by this function

Definition at line 339 of file rte_graph_feature_arc.h.

  struct rte_graph_feature_register* end_feature
End feature node registration

Definition at line 342 of file rte_graph_feature_arc.h.

Author

Generated automatically by Doxygen for DPDK from the source code.